#!/bin/sh
XTPATH=/xterminals/root
mkdir -p /var/xterminals
echo /usr/X11R6/lib >$XTPATH/etc/ld.so.conf
export PATH=/sbin:/bin:/usr/sbin:/usr/bin
chroot $XTPATH /sbin/ldconfig
cp /etc/resolv.conf $XTPATH/etc

install -o root -g root -m 644 fstab.xterm $XTPATH/etc/fstab
rm -fr $XTPATH/etc/sysconfig
ln -sf X11/sysconfig $XTPATH/etc/sysconfig
ln -sf /etc/X11/conf.modules $XTPATH/etc/conf.modules
rm -fr $XTPATH/tmp
ln -sf /etc/X11/tmp $XTPATH/tmp
mkdir -p $XTPATH/lib/modules
cp -a kernels/modules/* $XTPATH/lib/modules/.
install commands/xgo -o root -g root -m 755 $XTPATH/bin/xgo
install commands/rc  -o root -g root -m 755 $XTPATH/etc/rc
install commands/initdev  -o root -g root -m 755 $XTPATH/etc/initdev
install commands/xconf -o root -g root -m 755 $XTPATH/bin/xconf
install commands/swapconf -o root -g root -m 755 $XTPATH/bin/
install commands/cdromconf -o root -g root -m 755 $XTPATH/bin/
install commands/soundconf -o root -g root -m 755 $XTPATH/bin/
install commands/setname  -o root -g root -m 755 $XTPATH/bin/
install commands/enable-swap -o root -g root -m 755 $XTPATH/sbin/enable-swap
install commands/getdefserver -o root -g root -m 755 $XTPATH/sbin/getdefserver
install commands/printserv -o root -g root -m 755 $XTPATH/sbin/printserv
install commands/printconf -o root -g root -m 755 $XTPATH/bin/printconf
mkdir -p /var/xterminals
# Let the server access the floppy and cdrom via NFS
if [ ! -s $XTPATH/etc/exports ] ; then
	echo "/mnt/cdrom  defserver(ro)" > $XTPATH/etc/exports
	echo "/mnt/floppy defserver(rw)" >> $XTPATH/etc/exports
fi

if [ ! -s $XTPATH/etc/fstab ] ; then
	echo "/dev/cdrom  /mnt/cdrom  iso9660 ro,defaults" > $XTPATH/etc/fstab
	echo "/dev/fd0    /mnt/floppy msdos   defaults" >> $XTPATH/etc/fstab
fi


